Subject: bug#12832: 24.3.50; Emacs lockup when idle

From: Lennart Borgman <[email-masked]>
Date: Wed, 14 Nov 2012 18:49:17 +0100

On Wed, Nov 14, 2012 at 6:41 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Wed, 14 Nov 2012 17:48:41 +0100
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
>>
>> I have no time to build Emacs now and have not had it for a very long
>> time. However I have seen Emacs freeze a lot of times when it is idle.
>> This started to get more common when I moved to a 64-bit windows 7
>> (from windows xp, 32-bit).
>
> Those incidents are most probably unrelated to the issue discussed in
> this bug, because the timer thread was introduced into Emacs only very
> recently, it does not exist in Emacs 24.2 and earlier.

Thanks, I see.

>> Reading here I wonder if data are accessed somewhere in a system time
>> thread without critical section handling.
>
> That is so vague I cannot even begin thinking about what you have in
> mind.
>
> In any case, what Andrew reported looks like some thread is suspended
> _while_ it holds a critical section.  So, if anything, this is not
> about lack of critical sections usage.

I am not sure of that ;-)
What is suspending the thread? Should it be able to do that?